C----------------------------------------------------------------------
        subroutine fttrec(string,status)

C       test the remaining characters in a header record to insure that
C       it contains only printable ASCII characters,
C       i.e., with ASCII codes greater than or equal to 32 (a blank)

C       string  c*72 keyword name
C       OUTPUT PARAMETERS:
C       status  i  output error status (0 = ok)

        character string*(*)
        integer status,i

        if (status .gt. 0)return

        do 20 i=1,72
            if (string(i:i) .lt. ' ')then
C                 illegal character found
                  status=207
                  return
            end if
20      continue
        end
